Subject: Re: bug#74412: 31.0.50; Treesit-outline conflict with outli in Emacs 31

From: Juri Linkov <[email-masked]>
Date: Tue, 19 Nov 2024 20:09:40 +0200

> While I tried to `revert-buffer' in a java file, it reports
> `outline-map-region: Wrong type argument: number-or-marker-p, nil'.
>
> The backtrace is:
>
> ```bt
> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
> #f(compiled-function () #<bytecode -0x1964e0de811a96ab>)()
> outline-map-region(#f(compiled-function () #<bytecode -0x1964e0de811a96ab>)
> 1 31382)
> outline--hidden-headings-paths()
> outline-revert-buffer-restore-visibility()
> #f(compiled-function (f) #<bytecode
>  0x6badcbe8273644b>)(outline-revert-buffer-restore-visibility)
> run-hook-wrapped(#f(compiled-function (f) #<bytecode 0x6badcbe8273644b>)
> outline-revert-buffer-restore-visibility)
> revert-buffer(t)

I suspect this depends on your java file since I tried some java files
existing in the emacs repo, and all they work fine.  Could you try
to find a minimal java file to reproduce the problem?